/**
 * @this {EspressoDriver}
 * @returns {Promise<string>} Base64-encoded content of the clipboard
 * or an empty string if the clipboard is empty.
 */
export function getClipboard(this: import("../driver").EspressoDriver): Promise<string>;
/**
 * @this {EspressoDriver}
 * @param {string} content Base64-encoded clipboard payload
 * @param {'plaintext'} [contentType] Only a single
 * content type is supported, which is 'plaintext'
 * @param {string} [label] Optional label to identify the current
 * clipboard payload
 * @returns {Promise<void>}
 */
export function mobileSetClipboard(this: import("../driver").EspressoDriver, content: string, contentType?: "plaintext", label?: string): Promise<void>;
export type EspressoDriver = import("../driver").EspressoDriver;
//# sourceMappingURL=clipboard.d.ts.map