/**
 * Stop proxying to any Chromedriver and redirect to Espresso
 *
 * @this {import('../driver').EspressoDriver}
 * @returns {void}
 */
export function suspendChromedriverProxy(this: import("../driver").EspressoDriver): void;
export class suspendChromedriverProxy {
    chromedriver: any;
    proxyReqRes: any;
    proxyCommand: any;
    jwpProxyActive: boolean;
}
/**
 * Runs a chain of Espresso web atoms (see https://developer.android.com/training/testing/espresso/web for reference)
 *
 * Takes JSON of the form
 *
 * {
 *   "webviewEl": "<ELEMENT_ID>", // optional webview element to operate on
 *   "forceJavascriptEnabled": true|false, // if webview disables javascript, webatoms won't work, this forces it
 *   "methodChain": [
 *     {"name": "methodName", "atom": {"name": "atomName", "args": ["arg1", "arg2", ...]}},
 *     ...
 *   ]
 * }
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-webatoms
 * @param {string} webviewEl
 * @param {boolean} forceJavascriptEnabled
 * @param {import('@appium/types').StringRecord[]} methodChain
 */
export function mobileWebAtoms(this: import("../driver").EspressoDriver, webviewEl: string, forceJavascriptEnabled: boolean, methodChain: import("@appium/types").StringRecord[]): Promise<any>;
//# sourceMappingURL=context.d.ts.map