/**
 * Flash the element with given id.
 * durationMillis and repeatCount are optional
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-flashelement
 * @param {string} elementId
 * @param {number} durationMillis
 * @param {number} repeatCount
 */
export function mobileFlashElement(this: import("../driver").EspressoDriver, elementId: string, durationMillis: number, repeatCount: number): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-dismissautofill
 * @param {string} elementId
 */
export function mobileDismissAutofill(this: import("../driver").EspressoDriver, elementId: string): Promise<void>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-swipe
 * @param {string} elementId
 * @param {string} [direction]
 * @param {string} [swiper]
 * @param {string} [startCoordinates]
 * @param {string} [endCoordinates]
 * @param {string} [precisionDescriber]
 */
export function mobileSwipe(this: import("../driver").EspressoDriver, elementId: string, direction?: string, swiper?: string, startCoordinates?: string, endCoordinates?: string, precisionDescriber?: string): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-opendrawer
 * @param {string} elementId
 * @param {number} [gravity]
 */
export function mobileOpenDrawer(this: import("../driver").EspressoDriver, elementId: string, gravity?: number): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-closedrawer
 * @param {string} elementId
 * @param {number} [gravity]
 */
export function mobileCloseDrawer(this: import("../driver").EspressoDriver, elementId: string, gravity?: number): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-setdate
 * @param {string} elementId
 * @param {number} year
 * @param {number} monthOfYear
 * @param {number} dayOfMonth
 */
export function mobileSetDate(this: import("../driver").EspressoDriver, elementId: string, year: number, monthOfYear: number, dayOfMonth: number): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-settime
 * @param {string} elementId
 * @param {number} hours
 * @param {number} minutes
 */
export function mobileSetTime(this: import("../driver").EspressoDriver, elementId: string, hours: number, minutes: number): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-navigateto
 * @param {string} elementId
 * @param {number | string} menuItemId
 */
export function mobileNavigateTo(this: import("../driver").EspressoDriver, elementId: string, menuItemId: number | string): Promise<any>;
/**
 * Perform a 'GeneralClickAction' (https://developer.android.com/reference/androidx/test/espresso/action/GeneralClickAction)
 *
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-clickaction
 * @this {import('../driver').EspressoDriver}
 * @param {string} elementId
 * @param {string} [tapper]
 * @param {string} [coordinatesProvider]
 * @param {string} [precisionDescriber]
 * @param {number} [inputDevice]
 * @param {number} [buttonState]
 */
export function mobileClickAction(this: import("../driver").EspressoDriver, elementId: string, tapper?: string, coordinatesProvider?: string, precisionDescriber?: string, inputDevice?: number, buttonState?: number): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @see https://github.com/appium/appium-espresso-driver?tab=readme-ov-file#mobile-scrolltopage
 * @param {string} elementId
 * @param {string} [scrollTo]
 * @param {number} [scrollToPage]
 * @param {boolean} [smoothScroll=false]
 */
export function mobileScrollToPage(this: import("../driver").EspressoDriver, elementId: string, scrollTo?: string, scrollToPage?: number, smoothScroll?: boolean): Promise<any>;
/**
 * @this {import('../driver').EspressoDriver}
 * @param {string|number} action
 * @returns {Promise<void>}
 */
export function mobilePerformEditorAction(this: import("../driver").EspressoDriver, action: string | number): Promise<void>;
//# sourceMappingURL=element.d.ts.map