/**
 * https://android.googlesource.com/platform/frameworks/base/+/master/tools/aapt/Resource.cpp#755
 *
 * @param {string} activityName
 * @param {string} packageName
 * @returns {string} The qualified activity name
 */
export function qualifyActivityName(activityName: string, packageName: string): string;
/**
 * Recursively copy all files except build directories contents
 * @param {string} sourceBaseDir  directory to copy files from
 * @param {string} targetBaseDir directory to copy files to
 * @returns {Promise<void>}
 */
export function copyGradleProjectRecursively(sourceBaseDir: string, targetBaseDir: string): Promise<void>;
export function updateDependencyLines(originalContent: any, dependencyPlaceholder: any, dependencyLines: any): any;
/**
 * Fetches the module info from package.json
 *
 * @returns {Promise<Record<string, any>>} The full path to module's package.json and its payload
 * @throws {Error} If package.json cannot be found
 */
export function getPackageInfo(): Promise<Record<string, any>>;
/**
 * Fetches the module info from package.json synchronously
 *
 * @returns {Record<string, any>} The full path to module's package.json and its payload
 * @throws {Error} If package.json cannot be found
 */
export function getPackageInfoSync(): Record<string, any>;
//# sourceMappingURL=utils.d.ts.map